Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.inventory
Class InventoryManagerImpl

    java.lang.Object
      |
      +--theory.smart.foundation.SessionImpl
            |
            +--theory.smart.ebusiness.inventory.InventoryManagerImpl

public class InventoryManagerImpl
extends SessionImpl

The inventory manager provides a simplified interface to the Inventory classes. To accomplish this it uses `ItemInventory` and `InventoryRecord`

See Also:
  `InventoryManager`, `InventoryManagerHome`, Serialized Form

Fields inherited from class theory.smart.foundation.SessionImpl
`ctx, isDirty`

Constructor Summary
`InventoryManagerImpl()`

Method Summary
`InventoryRecord` | `addItemToInventory(Item item, Quantity qty)` Create a new inventory record and set the initial balance to the quantity specified.
`void` | `assignItems(Account acct, Item item, Quantity quantity)` Iterate the Inventory records for the item and execute withdrawals until the desired amount has been acquired.
`boolean` | `checkItemAvailability(Item item)` Find the ItemInventory object that summarizes all Inventory Records available for this item type.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbPostCreate()`
`void` | `ejbRemove()`
`InventoryRecord` | `increaseInventory(java.lang.String inventoryKey, Quantity qty)` Increase the balance on the Inventory Record by the specified Quantity.
`void` | `setSessionContext(SessionContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InventoryManagerImpl

    public InventoryManagerImpl()
                         throws CreateException

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws CreateException,
                          java.rmi.RemoteException

  Overrides:
    ejbCreate in class SessionImpl

### ejbPostCreate

    public void ejbPostCreate()
                       throws CreateException,
                              java.rmi.RemoteException

  Overrides:
    ejbPostCreate in class SessionImpl

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Overrides:
    ejbActivate in class SessionImpl

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Overrides:
    ejbPassivate in class SessionImpl

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException

  Overrides:
    ejbRemove in class SessionImpl

### setSessionContext

    public void setSessionContext(SessionContext ctx)
                           throws java.rmi.RemoteException

  Overrides:
    setSessionContext in class SessionImpl

### checkItemAvailability

    public boolean checkItemAvailability(Item item)
                                  throws java.rmi.RemoteException

  Find the ItemInventory object that summarizes all Inventory Records available for this item type. Iterate these items until the quantity desired has been found. Return true if the quantity is available and false if not.

### assignItems

    public void assignItems(Account acct,
                            Item item,
                            Quantity quantity)
                     throws java.rmi.RemoteException

  Iterate the Inventory records for the item and execute withdrawals until the desired amount has been acquired. All of this is done within a single transaction.

### addItemToInventory

    public InventoryRecord addItemToInventory(Item item,
                                              Quantity qty)
                                       throws java.rmi.RemoteException

  Create a new inventory record and set the initial balance to the quantity specified.

### increaseInventory

    public InventoryRecord increaseInventory(java.lang.String inventoryKey,
                                             Quantity qty)
                                      throws java.rmi.RemoteException

  Increase the balance on the Inventory Record by the specified Quantity.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.